{
        "name" : "UploadVimeo",
        "displayName" : "UploadVimeo",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.vimeo.UploadVideoWorkitemHandler(\"accessToken\")",
        "documentation" : "vimeo-workitem/index.html",
        "module" : "vimeo-workitem",
        "icon" : "UploadVimeo.png",
            "category" : "Vimeo",
            "description" : "Interact with videos on Vimeo",
            "keywords" : [
                                "vimeo"
                ,"video"
                ,"upload"
                ,"new"

            ],
                "isaction" : "true",
                "actiontitle" : "Upload new video on Vimeo",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Vimeo access token"
                                           }

                ],
                "authreferencesite" : "https://developer.vimeo.com/api/authentication",
            "parameters" : [
                                   {
                                       "name" : "VideoFile",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "VideoEndpoint",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "vimeo-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "UpdateVimeo",
        "displayName" : "UpdateVimeo",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.vimeo.UpdateVideoMetadataWorkitemHandler(\"accessToken\")",
        "documentation" : "vimeo-workitem/index.html",
        "module" : "vimeo-workitem",
        "icon" : "UpdateVimeo.png",
            "category" : "Vimeo",
            "description" : "Interact with videos on Vimeo",
            "keywords" : [
                                "vimeo"
                ,"video"
                ,"update"
                ,"metadata"

            ],
                "isaction" : "true",
                "actiontitle" : "Update existing video metadata",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Vimeo access token"
                                           }

                ],
                "authreferencesite" : "https://developer.vimeo.com/api/authentication",
            "parameters" : [
                                   {
                                       "name" : "Description",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "License",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "PrivacyView",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "PrivacyEmbed",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ReviewLink",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "VideoEndpoint",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Name",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "ResponseStatusCode",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "vimeo-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "DeleteVimeo",
        "displayName" : "DeleteVimeo",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.vimeo.DeleteVideoWorkitemHandler(\"accessToken\")",
        "documentation" : "vimeo-workitem/index.html",
        "module" : "vimeo-workitem",
        "icon" : "DeleteVimeo.png",
            "category" : "Vimeo",
            "description" : "Interact with videos on Vimeo",
            "keywords" : [
                                "vimeo"
                ,"video"
                ,"delete"

            ],
                "isaction" : "true",
                "actiontitle" : "Delete an existing video",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Vimeo access token"
                                           }

                ],
                "authreferencesite" : "https://developer.vimeo.com/api/authentication",
            "parameters" : [
                                   {
                                       "name" : "VideoEndpoint",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "ResponseStatusCode",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "vimeo-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GetInfoVimeo",
        "displayName" : "GetInfoVimeo",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.vimeo.GetVideoInfoWorkitemHandler(\"accessToken\")",
        "documentation" : "vimeo-workitem/index.html",
        "module" : "vimeo-workitem",
        "icon" : "GetInfoVimeo.png",
            "category" : "Vimeo",
            "description" : "Interact with videos on Vimeo",
            "keywords" : [
                                "vimeo"
                ,"video"
                ,"get"
                ,"info"

            ],
                "isaction" : "true",
                "actiontitle" : "Get info for existing video",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Vimeo access token"
                                           }

                ],
                "authreferencesite" : "https://developer.vimeo.com/api/authentication",
            "parameters" : [
                                   {
                                       "name" : "VideoEndpoint",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "VideoInfo",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "vimeo-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
